Changeset 1574


Ignore:
Timestamp:
Jul 18, 2010 12:33:34 PM (10 years ago)
Author:
stefan
Message:

check for Osi in base dir too; fix some comments in Makefile.am

Location:
trunk
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/src/Makefile.am

    r1559 r1574  
    1818
    1919# Name of the library compiled in this directory.  We want it to be installed
    20 # in the 'lib' directory
     20# in the 'lib/coin' directory
    2121coinlibdir = ${libdir}/coin
    2222coinlib_LTLIBRARIES = libClp.la
     
    120120
    121121# Here list all the header files that are required by a user of the library,
    122 # and that therefore should be installed in 'install/coin'
     122# and that therefore should be installed in 'include/coin'
    123123includecoindir = $(includedir)/coin
    124124includecoin_HEADERS = \
  • trunk/Clp/src/Makefile.in

    r1573 r1574  
    303303
    304304# Name of the library compiled in this directory.  We want it to be installed
    305 # in the 'lib' directory
     305# in the 'lib/coin' directory
    306306coinlibdir = ${libdir}/coin
    307307coinlib_LTLIBRARIES = libClp.la
     
    399399
    400400# Here list all the header files that are required by a user of the library,
    401 # and that therefore should be installed in 'install/coin'
     401# and that therefore should be installed in 'include/coin'
    402402includecoindir = $(includedir)/coin
    403403
  • trunk/configure

    r1572 r1574  
    479479ac_subdirs_all="$ac_subdirs_all Data/Netlib"
    480480ac_subdirs_all="$ac_subdirs_all CoinUtils"
     481ac_subdirs_all="$ac_subdirs_all Osi"
    481482ac_subdirs_all="$ac_subdirs_all Clp"
    482483ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     
    11551156                          directory with data files for using project
    11561157                          CoinUtils
     1158  --with-osi-lib linker flags for using project Osi
     1159  --with-osi-incdir directory with header files for using project Osi
     1160  --with-osi-datadir directory with data files for using project Osi
    11571161  --with-clp-lib linker flags for using project Clp
    11581162  --with-clp-incdir directory with header files for using project Clp
     
    41944198
    41954199# Provide some information about the compiler.
    4196 echo "$as_me:4196:" \
     4200echo "$as_me:4200:" \
    41974201     "checking for Fortran 77 compiler version" >&5
    41984202ac_compiler=`set X $ac_compile; echo $2`
     
    64536457*-*-irix6*)
    64546458  # Find out which ABI we are using.
    6455   echo '#line 6455 "configure"' > conftest.$ac_ext
     6459  echo '#line 6459 "configure"' > conftest.$ac_ext
    64566460  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64576461  (eval $ac_compile) 2>&5
     
    84178421   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84188422   -e 's:$: $lt_compiler_flag:'`
    8419    (eval echo "\"\$as_me:8419: $lt_compile\"" >&5)
     8423   (eval echo "\"\$as_me:8423: $lt_compile\"" >&5)
    84208424   (eval "$lt_compile" 2>conftest.err)
    84218425   ac_status=$?
    84228426   cat conftest.err >&5
    8423    echo "$as_me:8423: \$? = $ac_status" >&5
     8427   echo "$as_me:8427: \$? = $ac_status" >&5
    84248428   if (exit $ac_status) && test -s "$ac_outfile"; then
    84258429     # The compiler can only warn and ignore the option if not recognized
     
    86858689   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86868690   -e 's:$: $lt_compiler_flag:'`
    8687    (eval echo "\"\$as_me:8687: $lt_compile\"" >&5)
     8691   (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
    86888692   (eval "$lt_compile" 2>conftest.err)
    86898693   ac_status=$?
    86908694   cat conftest.err >&5
    8691    echo "$as_me:8691: \$? = $ac_status" >&5
     8695   echo "$as_me:8695: \$? = $ac_status" >&5
    86928696   if (exit $ac_status) && test -s "$ac_outfile"; then
    86938697     # The compiler can only warn and ignore the option if not recognized
     
    87898793   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87908794   -e 's:$: $lt_compiler_flag:'`
    8791    (eval echo "\"\$as_me:8791: $lt_compile\"" >&5)
     8795   (eval echo "\"\$as_me:8795: $lt_compile\"" >&5)
    87928796   (eval "$lt_compile" 2>out/conftest.err)
    87938797   ac_status=$?
    87948798   cat out/conftest.err >&5
    8795    echo "$as_me:8795: \$? = $ac_status" >&5
     8799   echo "$as_me:8799: \$? = $ac_status" >&5
    87968800   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87978801   then
     
    1113411138  lt_status=$lt_dlunknown
    1113511139  cat > conftest.$ac_ext <<EOF
    11136 #line 11136 "configure"
     11140#line 11140 "configure"
    1113711141#include "confdefs.h"
    1113811142
     
    1123411238  lt_status=$lt_dlunknown
    1123511239  cat > conftest.$ac_ext <<EOF
    11236 #line 11236 "configure"
     11240#line 11240 "configure"
    1123711241#include "confdefs.h"
    1123811242
     
    1357813582   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357913583   -e 's:$: $lt_compiler_flag:'`
    13580    (eval echo "\"\$as_me:13580: $lt_compile\"" >&5)
     13584   (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
    1358113585   (eval "$lt_compile" 2>conftest.err)
    1358213586   ac_status=$?
    1358313587   cat conftest.err >&5
    13584    echo "$as_me:13584: \$? = $ac_status" >&5
     13588   echo "$as_me:13588: \$? = $ac_status" >&5
    1358513589   if (exit $ac_status) && test -s "$ac_outfile"; then
    1358613590     # The compiler can only warn and ignore the option if not recognized
     
    1368213686   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1368313687   -e 's:$: $lt_compiler_flag:'`
    13684    (eval echo "\"\$as_me:13684: $lt_compile\"" >&5)
     13688   (eval echo "\"\$as_me:13688: $lt_compile\"" >&5)
    1368513689   (eval "$lt_compile" 2>out/conftest.err)
    1368613690   ac_status=$?
    1368713691   cat out/conftest.err >&5
    13688    echo "$as_me:13688: \$? = $ac_status" >&5
     13692   echo "$as_me:13692: \$? = $ac_status" >&5
    1368913693   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1369013694   then
     
    1525215256   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1525315257   -e 's:$: $lt_compiler_flag:'`
    15254    (eval echo "\"\$as_me:15254: $lt_compile\"" >&5)
     15258   (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
    1525515259   (eval "$lt_compile" 2>conftest.err)
    1525615260   ac_status=$?
    1525715261   cat conftest.err >&5
    15258    echo "$as_me:15258: \$? = $ac_status" >&5
     15262   echo "$as_me:15262: \$? = $ac_status" >&5
    1525915263   if (exit $ac_status) && test -s "$ac_outfile"; then
    1526015264     # The compiler can only warn and ignore the option if not recognized
     
    1535615360   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1535715361   -e 's:$: $lt_compiler_flag:'`
    15358    (eval echo "\"\$as_me:15358: $lt_compile\"" >&5)
     15362   (eval echo "\"\$as_me:15362: $lt_compile\"" >&5)
    1535915363   (eval "$lt_compile" 2>out/conftest.err)
    1536015364   ac_status=$?
    1536115365   cat out/conftest.err >&5
    15362    echo "$as_me:15362: \$? = $ac_status" >&5
     15366   echo "$as_me:15366: \$? = $ac_status" >&5
    1536315367   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1536415368   then
     
    1756317567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1756417568   -e 's:$: $lt_compiler_flag:'`
    17565    (eval echo "\"\$as_me:17565: $lt_compile\"" >&5)
     17569   (eval echo "\"\$as_me:17569: $lt_compile\"" >&5)
    1756617570   (eval "$lt_compile" 2>conftest.err)
    1756717571   ac_status=$?
    1756817572   cat conftest.err >&5
    17569    echo "$as_me:17569: \$? = $ac_status" >&5
     17573   echo "$as_me:17573: \$? = $ac_status" >&5
    1757017574   if (exit $ac_status) && test -s "$ac_outfile"; then
    1757117575     # The compiler can only warn and ignore the option if not recognized
     
    1783117835   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1783217836   -e 's:$: $lt_compiler_flag:'`
    17833    (eval echo "\"\$as_me:17833: $lt_compile\"" >&5)
     17837   (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
    1783417838   (eval "$lt_compile" 2>conftest.err)
    1783517839   ac_status=$?
    1783617840   cat conftest.err >&5
    17837    echo "$as_me:17837: \$? = $ac_status" >&5
     17841   echo "$as_me:17841: \$? = $ac_status" >&5
    1783817842   if (exit $ac_status) && test -s "$ac_outfile"; then
    1783917843     # The compiler can only warn and ignore the option if not recognized
     
    1793517939   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1793617940   -e 's:$: $lt_compiler_flag:'`
    17937    (eval echo "\"\$as_me:17937: $lt_compile\"" >&5)
     17941   (eval echo "\"\$as_me:17941: $lt_compile\"" >&5)
    1793817942   (eval "$lt_compile" 2>out/conftest.err)
    1793917943   ac_status=$?
    1794017944   cat out/conftest.err >&5
    17941    echo "$as_me:17941: \$? = $ac_status" >&5
     17945   echo "$as_me:17945: \$? = $ac_status" >&5
    1794217946   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1794317947   then
     
    2174721751
    2174821752
     21753echo "$as_me:$LINENO: checking whether project Osi is available" >&5
     21754echo $ECHO_N "checking whether project Osi is available... $ECHO_C" >&6
     21755
     21756coin_has_osi=notGiven
     21757coin_have_project_dir=no
     21758
     21759# check if user wants to skip project in any case
     21760
     21761if test x"$COIN_SKIP_PROJECTS" != x; then
     21762  for dir in $COIN_SKIP_PROJECTS; do
     21763    if test $dir = "Osi"; then
     21764      coin_has_osi=skipping
     21765    fi
     21766    if test $dir = "/Osi"; then
     21767      coin_has_osi=skipping
     21768    fi
     21769  done
     21770fi
     21771
     21772if test $coin_has_osi != skipping; then
     21773  if test $PACKAGE_TARNAME = osi; then
     21774    coin_has_osi=.
     21775    coin_have_project_dir=yes
     21776  fi
     21777
     21778
     21779# Check whether --with-m4_tolower(Osi)-lib or --without-m4_tolower(Osi)-lib was given.
     21780if test "${with_osi_lib+set}" = set; then
     21781  withval="$with_osi_lib"
     21782  coin_has_osi=installed
     21783fi;
     21784
     21785
     21786# Check whether --with-m4_tolower(Osi)-incdir or --without-m4_tolower(Osi)-incdir was given.
     21787if test "${with_osi_incdir+set}" = set; then
     21788  withval="$with_osi_incdir"
     21789  coin_has_osi=installed
     21790fi;
     21791
     21792
     21793# Check whether --with-m4_tolower(Osi)-datadir or --without-m4_tolower(Osi)-datadir was given.
     21794if test "${with_osi_datadir+set}" = set; then
     21795  withval="$with_osi_datadir"
     21796  coin_has_osi=installed
     21797fi;
     21798
     21799
     21800
     21801
     21802
     21803fi
     21804
     21805if test $coin_has_osi = notGiven; then
     21806  #only if pkg-config is available:
     21807  #see if user gives directory where project might be installed: assemble search path for pkg-config
     21808  if test -n "$PKG_CONFIG" ; then
     21809    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     21810
     21811    # let's assume that when installing into $prefix, then the user may have installed some other coin projects there before, so it's worth to have a look into there
     21812    if test -d "$prefix"; then
     21813      PKG_CONFIG_PATH="$prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
     21814    fi
     21815
     21816
     21817# Check whether --with-coin-instdir or --without-coin-instdir was given.
     21818if test "${with_coin_instdir+set}" = set; then
     21819  withval="$with_coin_instdir"
     21820  if test -d "$withval"; then : ; else
     21821         { { echo "$as_me:$LINENO: error: argument for --with-coin-instdir not a directory" >&5
     21822echo "$as_me: error: argument for --with-coin-instdir not a directory" >&2;}
     21823   { (exit 1); exit 1; }; }
     21824       fi
     21825       PKG_CONFIG_PATH="$withval/lib/pkgconfig:$PKG_CONFIG_PATH"
     21826
     21827fi;
     21828
     21829    # let pkgconfig check if the project is already installed somewhere
     21830    # need to export variable to be sure that the following pkg-config call gets these values
     21831    export PKG_CONFIG_PATH
     21832
     21833if test -n "$PKG_CONFIG" ; then
     21834  if $PKG_CONFIG --exists "osi"; then
     21835    OSI_VERSION=`$PKG_CONFIG --modversion "osi" 2>/dev/null`
     21836    coin_has_osi="$OSI_VERSION"
     21837  else
     21838    OSI_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi"`
     21839
     21840  fi
     21841else
     21842  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Osi without pkg-config\"" >&5
     21843echo "$as_me: error: \"Cannot check for existance of module Osi without pkg-config\"" >&2;}
     21844   { (exit 1); exit 1; }; }
     21845fi
     21846
     21847
     21848    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     21849  fi
     21850fi
     21851
     21852# if not found yet, check if project is available in present directory
     21853if test "$coin_has_osi" = notGiven; then
     21854  if test -d $srcdir//Osi; then
     21855    # If a third argument is given, then we have to check if one one the files given in that third argument is present.
     21856    # If none of the files in the third argument is available, then we consider the project directory as non-existing.
     21857    # However, if no third argument is given, then this means that there should be no check, and existence of the directory is sufficient.
     21858     coin_have_project_dir=yes
     21859
     21860    if test $coin_have_project_dir = yes; then
     21861      coin_has_osi=Osi
     21862    fi
     21863  fi
     21864fi
     21865
     21866echo "$as_me:$LINENO: result: $coin_has_osi" >&5
     21867echo "${ECHO_T}$coin_has_osi" >&6
     21868
     21869echo "$as_me:$LINENO: checking whether project Osi need to be configured" >&5
     21870echo $ECHO_N "checking whether project Osi need to be configured... $ECHO_C" >&6
     21871if test "$coin_have_project_dir" = yes ; then
     21872
     21873  if test -r $srcdir/Osi/configure; then
     21874    coin_subdirs="$coin_subdirs Osi"
     21875    echo "$as_me:$LINENO: result: yes" >&5
     21876echo "${ECHO_T}yes" >&6
     21877
     21878
     21879subdirs="$subdirs Osi"
     21880
     21881  else
     21882    echo "$as_me:$LINENO: result: no" >&5
     21883echo "${ECHO_T}no" >&6
     21884  fi
     21885else
     21886  echo "$as_me:$LINENO: result: no" >&5
     21887echo "${ECHO_T}no" >&6
     21888fi
     21889
     21890
    2174921891echo "$as_me:$LINENO: checking whether project Clp is available" >&5
    2175021892echo $ECHO_N "checking whether project Clp is available... $ECHO_C" >&6
     
    2192022062    ADDLIBS="$ADDLIBS $FLIBS"
    2192122063  fi
     22064  PCADDLIBS="$PCADDLIBS $ADDLIBS"
    2192222065
    2192322066  # library extension
  • trunk/configure.ac

    r1559 r1574  
    4848AC_COIN_MAIN_PACKAGEDIR(Netlib,Data,,coindatanetlib)
    4949AC_COIN_MAIN_PACKAGEDIR(CoinUtils)
     50AC_COIN_MAIN_PACKAGEDIR(Osi)
    5051AC_COIN_MAIN_PACKAGEDIR(Clp)
    5152
Note: See TracChangeset for help on using the changeset viewer.